Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.rest.jaxrs.response
Class URLResponseBuilder

    java.lang.Object
      ResponseBuilder
          org.apache.cocoon.rest.jaxrs.response.URLResponseBuilder

    public abstract class URLResponseBuilder

extends ResponseBuilder

A class to get a `ResponseBuilder` that has all information set correctly that is provided by a `URLConnection`. It must be used when the JAX-RS container runs within the Cocoon Servlet-Service framework.

See Also:
  `CocoonJAXRSServlet`

Constructor Summary
`URLResponseBuilder()`

Method Summary
`static ResponseBuilder` | `newInstance(String url)` The same as `newInstance(URL)` but the URL is passed as `String`.
`static ResponseBuilder` | `newInstance(String url, Map<String,Object> data)` The same as `newInstance(URL, Map)` but the URL is passed as `String`.
`static ResponseBuilder` | `newInstance(URL url)` The same as `newInstance(URL, Map)` but no objects are passed to the URL.
`static ResponseBuilder` | `newInstance(URL url, Map<String,Object> data)` Create a `ResponseBuilder` that retrieves all available information (header parameters, Last-Modified, Content-Type) from the `URLConnection` opened on the passed `URL`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLResponseBuilder

    public URLResponseBuilder()

Method Detail

### newInstance

    public static ResponseBuilder newInstance(String url)

  The same as `newInstance(URL)` but the URL is passed as `String`.

### newInstance

    public static ResponseBuilder newInstance(String url,
                                              Map<String,Object> data)

  The same as `newInstance(URL, Map)` but the URL is passed as `String`.

### newInstance

    public static ResponseBuilder newInstance(URL url)

  The same as `newInstance(URL, Map)` but no objects are passed to the URL.

### newInstance

    public static ResponseBuilder newInstance(URL url,
                                              Map<String,Object> data)

  Create a `ResponseBuilder` that retrieves all available information (header parameters, Last-Modified, Content-Type) from the `URLConnection` opened on the passed `URL`.

  Parameters:
    `url` - The `URL` that provides the content for the entity.
    `data` - A `Map` of objects passed to the `URL`.
  Returns:
    A `ResponseBuilder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.